#if !defined(AFX_HTTPSETTINGSPAGE_H__FA3CA9B2_4AC6_4A0B_9C80_318A0BBE5CAA__INCLUDED_)
#define AFX_HTTPSETTINGSPAGE_H__FA3CA9B2_4AC6_4A0B_9C80_318A0BBE5CAA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HTTPSettingsPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHTTPSettingsPage dialog

class CHTTPSettingsPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CHTTPSettingsPage)

// Construction
public:
	CHTTPSettingsPage();
	~CHTTPSettingsPage();

// Dialog Data
	//{{AFX_DATA(CHTTPSettingsPage)
	enum { IDD = IDD_HTTP_PAGE };
	CListCtrl	m_listMIMETypes;
	CString	m_strDocBasePath;
	CString	m_strDefaultFilePath;
	//}}AFX_DATA

	BOOL m_bDirty;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CHTTPSettingsPage)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	BOOL SetupMIMETypesList();
	BOOL QueryHTTPSettings();
	BOOL UpdateHTTPSettings();

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CHTTPSettingsPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeEditDocBase();
	afx_msg void OnChangeEditDocDefault();
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonEdit();
	afx_msg void OnButtonDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HTTPSETTINGSPAGE_H__FA3CA9B2_4AC6_4A0B_9C80_318A0BBE5CAA__INCLUDED_)
